mappings:
  - source: line_item_id
    cbf: lineitem/id
    required: false

  - source: line_item_type
    cbf: lineitem/type
    required: false

  - source: line_item_description
    cbf: lineitem/description
    required: false

  - source: timestamp
    cbf: time/usage_start
    required: true

  - source: ""
    cbf: time/usage_end
    required: false

  - source: resource_id
    cbf: resource/id
    required: true

  - source: service
    cbf: resource/service
    required: false

  - source: cloud_account
    cbf: resource/account
    required: false

  - source: region
    cbf: resource/region
    required: false

  - source: cloud_account
    cbf: action/account
    required: false

  - source: region
    cbf: action/region
    required: false

  - source: usage_family
    cbf: resource/usage_family
    required: false

  - source: operation
    cbf: action/operation
    required: false

  - source: usage_type
    cbf: action/usage_type
    required: false

  - source: ""
    cbf: resource/tag:<Key>
    required: false

  - source: "pricing_unit"
    cbf: usage/units
    required: false

  - source: "usage_amount"
    cbf: usage/amount
    required: false

  - source: cost
    cbf: cost/cost
    required: true

  - source: cost
    cbf: cost/discounted_cost
    required: false

  - source: cost
    cbf: cost/amortized_cost
    required: false

  - source: cost
    cbf: cost/discounted_amortized_cost
    required: false

  - source: cost
    cbf: cost/on_demand_cost
    required: false

  - source: ""
    cbf: bill/invoice_id
    required: false

  - source: k8s_cluster
    cbf: k8s/cluster
    required: false

  - source: k8s_namespace
    cbf: k8s/namespace
    required: false

  - source: k8s_workload
    cbf: k8s/deployment
    required: false

  - source: k8s_labels
    cbf: k8s/labels
    required: false
